## ros-humble-mvsim 0.8.1

=== requirements.txt ===
# This file describes python dependencies for an intermediary 
# build stage within the cmake pipeline. 
# See CMakeLists.txt. We must fix protobuf broken code: 
# Read https://github.com/cpcloud/protoletariat
# and https://github.com/protocolbuffers/protobuf/issues/1491
protobuf
protoletariat

=== modules/comms/CMakeLists.txt ===
set(MODULE_NAME "comms")
project(mvsim-${MODULE_NAME} LANGUAGES CXX VERSION ${MVSIM_VERSION})

file(GLOB Comms_SRCS
	"${CMAKE_CURRENT_SOURCE_DIR}/src/Comms/*.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/include/mvsim/Comms/*.h"
)

# Declare the target (a library)
add_library(${PROJECT_NAME}
	${Comms_SRCS}
)
mvsim_set_target_build_options(${PROJECT_NAME})

source_group(Comms FILES ${Comms_SRCS})

set(PACKAGE_DEPENDENCIES
  mrpt-system
  mrpt-io
  mrpt-serialization
  mvsim-msgs
  )
mvsim_common_target_settings(${MODULE_NAME})

target_link_libraries(${PROJECT_NAME}
 PRIVATE
	${CMAKE_THREAD_LIBS_INIT}
	${ZeroMQ_LIBRARY}
 PUBLIC
	${Protobuf_LIBRARIES}
	mrpt::system
	mrpt::io
	mrpt::serialization
	mvsim::msgs
)

# =========== Python wrapper ==================
if (MVSIM_WITH_PYTHON)
  # Different versions of pybind11 required different generated-sources:
  string(REGEX MATCH "^([0-9]+)\\.([0-9]+)\\.([0-9]+)" PYBIND11_VERSION_MATCH ${pybind11_VERSION})
  set(PYBIND11_MAJOR_VERSION ${CMAKE_MATCH_1})
  set(PYBIND11_MINOR_VERSION ${CMAKE_MATCH_2})
  set(PYBIND11_PATCH_VERSION ${CMAKE_MATCH_3})

  if ($ENV{VERBOSE})
    message(STATUS "PYBIND11_VERSION         : ${PYBIND11_MAJOR_VERSION}.${PYBIND11_MINOR_VERSION}.${PYBIND11_PATCH_VERSION}")
  endif()

  set(PY_SRCS_DIR ${CMAKE_CURRENT_LIST_DIR}/python/generated-sources-pybind)

  if (NOT EXISTS ${PY_SRCS_DIR})
	message(WARNING "Skipping python wrapper due to missing wrapper C++ files for especific pybind11 version ${PYBIND11_MM_VERSION}: expected directory '${PY_SRCS_DIR}'")
  else()
	file(GLOB_RECURSE PY_SRCS ${PY_SRCS_DIR}/*.cpp)

	pybind11_add_module(pymvsim_${MODULE_NAME}
		${PY_SRCS}
		)
	target_link_libraries(pymvsim_${MODULE_NAME} PUBLIC ${PROJECT_NAME})
	target_compile_definitions(pymvsim_${MODULE_NAME} PRIVATE 
		PYBIND11_MAJOR_VERSION=${PYBIND11_MAJOR_VERSION}
		PYBIND11_MINOR_VERSION=${PYBIND11_MINOR_VERSION}
		PYBIND11_PATCH_VERSION=${PYBIND11_PATCH_VERSION}
		)

	# Python files:
	file(MAKE_DIRECTORY ${MVSIM_PYTHON_BUILD_DIRECTORY}/mvsim_${MODULE_NAME}/)
	add_custom_command(TARGET pymvsim_${MODULE_NAME} POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:pymvsim_${MODULE_NAME}>
		${MVSIM_PYTHON_BUILD_DIRECTORY}/mvsim_${MODULE_NAME}/
	)
	file(WRITE ${MVSIM_PYTHON_BUILD_DIRECTORY}/mvsim_${MODULE_NAME}/__init__.py
		"from . import *")
  endif()

endif()

=== debian/changelog ===
ros-humble-mvsim (0.8.1-1jammy) jammy; urgency=high

  * Move the rawlog-generation option to the World global options instead of sensor-wise.
  * Create CITATION.cff
  * helios 32fov70 sensor.xml: Fix missing MVSIM_CURRENT_FILE_DIRECTORY tag
  * Fix crash in edge case with world file path in the current directory
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 06 Sep 2023 22:00:00 -0000

ros-humble-mvsim (0.8.0-1jammy) jammy; urgency=high

  * Recursive "include"s are now possible.
  * All vehicle and sensor definitions are now exposed in public directory 'definitions' and are safe to be included from user worlds
  * ROS warehouse demos: fix wrong camera topicn ame in rviz
  * Add missing ROS 2 launch demo for greenhouse world
  * Add new variable: MVSIM_CURRENT_FILE_DIRECTORY
  * BUGFIX: In parseVars() in the XML parser
  * Debugging feature: MVSIM_VERBOSE_PARSE now also traces <variable> definitions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Sep 2023 22:00:00 -0000

ros-humble-mvsim (0.7.4-1jammy) jammy; urgency=high

  * Add new LIDAR 3D models: Helios 32.
  * Removed LIDAR3D fbo_nrows parameter, automatically computed now from geometry solutions.
  * More optimal simulation of asymmetric 3D lidars.
  * Progress with RTD documentation.
  * Add proper bibliography; fix all docs warnings
  * ROS 2 warehouse demo: show 2D lidar in RVIZ too; add headless launch argument
  * New GUI editor feature: move sensor poses
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 29 Aug 2023 22:00:00 -0000

ros-humble-mvsim (0.7.3-1jammy) jammy; urgency=high

  * Update python module install method to pip (fixes deprecation)
  * Improved docs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-mvsim (0.7.2-1jammy) jammy; urgency=high

  * Joystick driving: added support for direct driving the vehicles with a joystick.
  * Fix rviz for ros1 demo
  * Better docs and more modern RST style.
  * More shadow tuning parameters.
  * IMU sensor now reads real vehicle linear acceleration.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 11 Aug 2023 22:00:00 -0000

ros-humble-mvsim (0.7.1-1jammy) jammy; urgency=high

  * ROS node: fix potential race condition creating publisher for highrate sensors
  * Add IMU sensors
  * New property <visual enabled='true|false'>
  * lidar2d xml: add option "sensor_custom_visual"
  * FIX: Crash if launching an empty world
  * Trigger an error if using use_sim_time to avoid mistakes
  * Add new (fake) controller: twist_ideal
  * ROS 1: don't enforce /use_sim_time
  * Add ROS 2 launch for the 2-robot demo
  * Fix cmake leftover
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 10 Jun 2023 22:00:00 -0000

ros-humble-mvsim (0.7.0-1jammy) jammy; urgency=high

  * Automatic detection of collision shapes
  * Add turtlebot world demo
  * Rely on custom build of Box2D to increase the maximum polygon vertices count (8 to 12).
  * fix inconsistent use_sim_time value for ROS 2 (it should be false)
  * Expose shadow rendering parameters in the XML world file
  * Abort simulation on exceptions in headless mode too
  * ROS 1 and 2 nodes now quit cleanly and quickly with SIGINT
  * Add ros2 launch for turtlebot world demo
  * Automatic determination of zmin/zmax for blocks if not explicitly set in XML
  * Force c++17 for python module
  * Exit simulator on exceptions in GUI-related threads
  * More automated testing
  * Add unit tests in C++ too
  * Refactor collision shape determination
  * New UI checkbox: show collision shapes
  * Allow simply geometry definitions without external 3D model file for "blocks"
  * Light options are now under <light> XML tag.
  * Largest default physics simulation timestep changed from 50ms to 5ms
  * GUI: change light direction
  * Add GUI checkbox to enable/disable shadows
  * Add rplidar A2 sensor model
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 20 Apr 2023 22:00:00 -0000

ros-humble-mvsim (0.6.1-1jammy) jammy; urgency=high

  * New XML parameters to enable and tune shadowmap generation
  * Use finer timestep for prevent wrong simulation of ramp sliding
  * Fix code notation
  * Temporary workaround to GH CI problem
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 03 Mar 2023 23:00:00 -0000

ros-humble-mvsim (0.6.0-1jammy) jammy; urgency=high

  * Support for SkyBox rendering (requires MRPT >=2.7.0)
  * More camera options in world.xml files (initial azimuth, elevation, etc.)
  * Terrain elevation models now support repeated textures (requires MRPT >=2.7.0)
  * Faster 3D Lidar rendering (Requires MRPT >=2.7.0)
  * Add Ouster OS1 sensor file
  * Fix default friction coefficients; draw motor torques too
  * More accurate Velodyne simulation based on sensor_rpm parameter
  * Clearer code and code style conventions
  * Add "<static>" XML tag for large, static world objects
  * Support for XML tag <if ...>
  * Refactor xml parser as a registry of tag->function
  * Examples renamed for conciseness: 'mvsim_demo_*' to 'demo_*'
  * Added a "greenhouse" example world
  * Wheels: allow linked-yaw-objects in vehicle viz
  * Support several <visual> tags in custom visualization models
  * pybind11 sources simplification.
    Simplify into one single source tree with conditional compilation for different pybind versions.
  * Emit clearer warnings and earlier detection of wrong bounding boxes
  * Add reference to (preprint) paper
  * Controllers: Made threadsafe
  * Contributors: Fernando Cañadas, Jose Luis Blanco-Claraco
  * BUGFIX: program did not quit if using a non-existing launch file.
  * BUGFIX: unneeded friction coefficient for chassis body


=== debian/control ===
Source: ros-humble-mvsim
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-protobuf, python3-venv, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock, ros-humble-ament-cmake-gtest, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-mrpt2, ros-humble-nav-msgs, ros-humble-ros-environment, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-visualization-msgs, unzip, wget, ros-humble-ros-workspace
Homepage: https://wiki.ros.org/mvsim
Standards-Version: 3.9.2

Package: ros-humble-mvsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-protobuf, python3-venv, ros-humble-mrpt2, ros-humble-nav-msgs, ros-humble-ros2launch, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-visualization-msgs, unzip, wget, ros-humble-ros-workspace
Description: A lightweight multivehicle simulation framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-mvsim//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-mvsim 0.10.0

=== debian/changelog ===
ros-humble-mvsim (0.10.0-1bookworm) bookworm; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Merge pull request #52 <https://github.com/MRPT/mvsim/issues/52> from finani/fix-fake-amcl
    Fix fake amcl topic (QoS Durability)
  * Update outdated copyright years in source files
  * Merge pull request #51 <https://github.com/MRPT/mvsim/issues/51> from finani/nav2-compatible
    Nav2 compatible
  * Update codebase to new clang-format style
  * Merge pull request #48 <https://github.com/MRPT/mvsim/issues/48> from finani/refactoring-node
    Refactoring node
  * Merge pull request #45 <https://github.com/MRPT/mvsim/issues/45> from finani/develop
    Add tf pub for each robot (support namespace)
  * Merge pull request #43 <https://github.com/MRPT/mvsim/issues/43> from kr-jschoi/fix-bug
    Fix namespace switching bug between mvsim.chassis_shape and mvsim.chassis_shape.wheel3 in /chassis_markers
  * Contributors: Inhwan Wee, Jose Luis Blanco-Claraco, finani, kr-jschoi

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 27 Aug 2024 16:00:00 -0000

ros-humble-mvsim (0.9.4-1bookworm) bookworm; urgency=high

  * Better detection of "in collision" flag.
  * Update to clang-format-14
  * Upgrade Joystick API so it works correctly with an arbitrary number of axes
  * ROS nodes: add collision state publishers for each vehicle
  * remove dead code
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 07 May 2024 16:00:00 -0000

ros-humble-mvsim (0.9.3-1bookworm) bookworm; urgency=high

  * Fix usage of (new explicit) TPoint3D constructors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 23 Apr 2024 16:00:00 -0000

ros-humble-mvsim (0.9.2-1bookworm) bookworm; urgency=high

  * BUG FIX: 3D lidars should not 'see' XYZ corners of wheels
  * BUG FIX: gridmaps were published at a too high rate in the ROS 2 node
  * remove dead code
  * update header version
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-mvsim (0.9.1-1bookworm) bookworm; urgency=high

  * Fix use of mrpt bridge to publish XYZIRT point clouds too for ROS 1
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-mvsim (0.9.0-1bookworm) bookworm; urgency=high

  * Do not publish tf world->map
  * Expose do_fake_localization as ROS 2 launch file argument
  * fix build with older mrpt
  * 3D Lidar: also generate "ring" ID per point
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-mvsim (0.8.3-1bookworm) bookworm; urgency=high

  * Generate ground truth trajectory files in the TUM format
  * ROS nodes: add a timeout for cmd_vel commands, so the robots stop if input messages stop
  * Add rviz_plugin_tutorials dependency for ROS1
  * Contributors: Jose Luis Blanco-Claraco, Michael Grupp

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-mvsim (0.8.2-1bookworm) bookworm; urgency=high

  * 3D LIDARs: Bilinear interpolation (when it makes sense) to obtain much smoother point cloud simulations
  * Add missing build dep on python3-pip.
    This was triggering errors on ROS 1 build farm dev builds.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 05 Oct 2023 16:00:00 -0000

ros-humble-mvsim (0.8.1-1bookworm) bookworm; urgency=high

  * Move the rawlog-generation option to the World global options instead of sensor-wise.
  * Create CITATION.cff
  * helios 32fov70 sensor.xml: Fix missing MVSIM_CURRENT_FILE_DIRECTORY tag
  * Fix crash in edge case with world file path in the current directory
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 06 Sep 2023 16:00:00 -0000

ros-humble-mvsim (0.8.0-1bookworm) bookworm; urgency=high

  * Recursive "include"s are now possible.
  * All vehicle and sensor definitions are now exposed in public directory 'definitions' and are safe to be included from user worlds
  * ROS warehouse demos: fix wrong camera topicn ame in rviz
  * Add missing ROS 2 launch demo for greenhouse world
  * Add new variable: MVSIM_CURRENT_FILE_DIRECTORY
  * BUGFIX: In parseVars() in the XML parser
  * Debugging feature: MVSIM_VERBOSE_PARSE now also traces <variable> definitions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Sep 2023 16:00:00 -0000

ros-humble-mvsim (0.7.4-1bookworm) bookworm; urgency=high

  * Add new LIDAR 3D models: Helios 32.
  * Removed LIDAR3D fbo_nrows parameter, automatically computed now from geometry solutions.
  * More optimal simulation of asymmetric 3D lidars.
  * Progress with RTD documentation.
  * Add proper bibliography; fix all docs warnings
  * ROS 2 warehouse demo: show 2D lidar in RVIZ too; add headless launch argument
  * New GUI editor feature: move sensor poses
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 29 Aug 2023 16:00:00 -0000

ros-humble-mvsim (0.7.3-1bookworm) bookworm; urgency=high

  * Update python module install method to pip (fixes deprecation)
  * Improved docs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-mvsim (0.7.2-1bookworm) bookworm; urgency=high

  * Joystick driving: added support for direct driving the vehicles with a joystick.
  * Fix rviz for ros1 demo
  * Better docs and more modern RST style.
  * More shadow tuning parameters.
  * IMU sensor now reads real vehicle linear acceleration.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 11 Aug 2023 16:00:00 -0000

ros-humble-mvsim (0.7.1-1bookworm) bookworm; urgency=high



=== debian/control ===
Source: ros-humble-mvsim
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), cmake, cppzmq-dev, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-pip, python3-protobuf, python3-venv, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock, ros-humble-ament-cmake-gtest, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-mrpt-libgui, ros-humble-mrpt-libmaps, ros-humble-mrpt-libposes, ros-humble-mrpt-libros-bridge, ros-humble-mrpt-libtclap, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-ros-environment, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-visualization-msgs, unzip, wget, ros-humble-ros-workspace
Homepage: https://wiki.ros.org/mvsim
Standards-Version: 3.9.2

Package: ros-humble-mvsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cppzmq-dev, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-pip, python3-protobuf, python3-venv, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-mrpt-libgui, ros-humble-mrpt-libmaps, ros-humble-mrpt-libposes, ros-humble-mrpt-libros-bridge, ros-humble-mrpt-libtclap, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-ros2launch, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-visualization-msgs, unzip, wget, ros-humble-ros-workspace
Description: A lightweight multivehicle simulation framework.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-mvsim//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-mvsim//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-mvsim//opt/ros/humble/opt/mvsim/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
